EVOLVOTRON_MUTATE(1)

NAME
evolvotron_mutate - Render an evolvotron function tree to an image.

SYNOPSIS
evolvotron_mutate < function_in.xml > function_out.xml evolvotron_mutate -g > function_out.xml

DESCRIPTION
evolvotron_mutate either mutates an existing image function read from standard input, or (with the -g option) creates a new image function. In either case the output image function is written to standard output. The mutation parameters and function weightings are the same as used by evolvotron in its default reset state. See the evolvotron user manual (accessible from the evolvotron application's Help menu) for more information on image functions.

COMMANDLINE OPTIONS

-g, --genesis
    Specifies that no function should be read from standard input. The output function is created at random.

-h, --help
    Display information on command line arguments and exit.

-l, --linear
    Created functions (if they are rendered as animations) will sweep z linearly (rather than sinusoidally).

-p, --spheremap
    Created functions will be tagged as spheremaps.

-v, --verbose
    Enables some additional logging to standard error.

EXAMPLES
evolvotron_mutate -g | tee function0.xml | evolvotron_render function0.ppm evolvtron_mutate < function0.xml > function1.xml

AUTHOR
evolvotron_mutate was written by Tim Day (www.timday.com) and is released under the conditions of the GNU General Public License. See the file LICENSE supplied with the source code for details.

SEE ALSO
evolvotron(1), evolvotron_render(1)